package intrinsic.mx.utils;

public class DirectoryEnumeration extends Object {

	/** Accessors */
	public intrinsic.Function nameCompareFunction;
	public intrinsic.Array extensions;
	public boolean showHidden;
	public intrinsic.Function filterFunction;
	public String enumerationMode;
	public intrinsic.mx.collections.ArrayCollection collection;
	public intrinsic.Array source;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DirectoryEnumeration() {
}

public DirectoryEnumeration(Object arg0) {
}


/** Static Methods */

/** Methods */
public native boolean fileFilterFunction(intrinsic.flash.filesystem.File arg0);
public native int fileCompareFunction(intrinsic.flash.filesystem.File arg0, intrinsic.flash.filesystem.File arg1);
public native int fileCompareFunction(intrinsic.flash.filesystem.File arg0, intrinsic.flash.filesystem.File arg1, intrinsic.Array arg2);
public native void refresh();

}
